package server.logic.ws_protocol.JSON.handlers.auth.entyties;

import server.logic.ws_protocol.JSON.entyties.Net_Request;

public class Net_StartEspPairing_Request extends Net_Request {
    private String login;
    private String passwordHash;
    private String requesterSessionKey;
    private Integer requesterSessionType;
    private String requesterClientPlatform;
    private Integer payloadType;

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPasswordHash() {
        return passwordHash;
    }

    public void setPasswordHash(String passwordHash) {
        this.passwordHash = passwordHash;
    }

    public String getRequesterSessionKey() {
        return requesterSessionKey;
    }

    public void setRequesterSessionKey(String requesterSessionKey) {
        this.requesterSessionKey = requesterSessionKey;
    }

    public Integer getRequesterSessionType() {
        return requesterSessionType;
    }

    public void setRequesterSessionType(Integer requesterSessionType) {
        this.requesterSessionType = requesterSessionType;
    }

    public String getRequesterClientPlatform() {
        return requesterClientPlatform;
    }

    public void setRequesterClientPlatform(String requesterClientPlatform) {
        this.requesterClientPlatform = requesterClientPlatform;
    }

    public Integer getPayloadType() {
        return payloadType;
    }

    public void setPayloadType(Integer payloadType) {
        this.payloadType = payloadType;
    }
}
